# RockyRpi
Scripts and kickstarts for building Rocky Linux for Raspberry Pi

## Purpose of this Repo
This repository contains kickstart scripts and commands for producing your own Rocky Linux 8 image for the Raspberry Pi.  It's intended mostly for developers or other technical users.  If you are simply interested in using Rocky on your Pi, it's much easier to grab the latest image from (currently): https://rocky.lowend.ninja/RockyRpi/RockyRpi_Images/


The readme.image.txt file has information and instructions for those interested in downloading and using the ready-made image.


## Requirements:

Producing the Rpi Image requires:

* A Fedora or EL-based distribution (Rocky/CentOS/RHEL/etc.) **running on aarch64 hardware**
* git
* EPEL repo enabled (extra packages for enterprise linux)
* The appliance-creator program from appliance-tools package  ( ```sudo dnf install appliance-tools``` )


## Making an Image
The included script to create the image is quite simple.  Simply run it (with sudo/root), and specify a location you want to write the produced image to.  If the location doesn't exist, it will be created as a directory.

For example:

`sudo ./Rocky8_Rpi4_mkimage.sh /home/myhomefolder/Rocky8_image/`


The kickstart/image build process takes approximately 10 minutes on a Raspberry Pi 4 with a decently fast internet connection.


## Customizing the Kickstart

All the setup logic for the image is contained within the kickstart file (Rocky8_Rpi4.ks).  It is intended to be readable and well documented, and you can of course change it anyway you please to produce custom images yourself.

Additionally, the mkimage script is very simple, and you can certainly customize it (or just run your own command) if you need to change the appliance-creator settings.


# Contributing
If you have any suggestions, comments, or problems with the Rocky Rpi images or their creation, feel free to drop us a line!  Come by the **~Sig/AltArch**  channel on chat.rockylinux.org , or send a message or merge request via Gitlab with your ideas.  We'd love to hear from you!



